upstream jipe_app_unicorn {
	server unix:/srv/www/web/jipe_app/shared/unicorn.sock fail_timeout=0;
}





server {
	listen [::]:80;
	server_name  jipe.fr  ;
	root /srv/www/web/jipe_app/current/public;
	try_files $uri/index.html $uri @unicorn;

	location @unicorn {
		proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
		proxy_set_header Host $http_host;
		proxy_redirect off;
		proxy_pass http://jipe_app_unicorn;
    proxy_read_timeout 99999;
	}

	error_page 500 502 503 504 /500.html;
	client_max_body_size 4G;
	keepalive_timeout 10;
}


server {
	listen [::]:80;
    server_name  www.jipe.fr *.jipe.fr jipe.quartz.xyz;
    rewrite ^(.*) http://jipe.fr$1 permanent;
}

